# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rubtools/version'

Gem::Specification.new do |spec|
  spec.name          = "rubtools"
  spec.version       = Rubtools::VERSION
  spec.authors       = ["Pierre FILSTROFF"]
  spec.email         = ["pfilstroff@gmail.com"]
  spec.description   = %q{rubTools lets you create command line tasks easily}
  spec.summary       = %q{A commandline tools framework}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "term-ansicolor", "~> 1.3.0"
  spec.add_dependency "recursive-open-struct", "~> 0.4.5"
  spec.add_dependency "require_all", "~> 1.3.2"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "debugger", "~> 1.6.6"
end
